Bug 1985381

Summary: ch-run-oci fails
Product: [Fedora] Fedora Reporter: david08741
Component: charliecloudAssignee: jogas
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: dave.love, jogas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: charliecloud-0.24-12.el7 charliecloud-0.24-12.fc34 charliecloud-0.24-12.fc33 charliecloud-0.24-12.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-15 00:36:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description david08741 2021-07-23 14:18:47 UTC
Description of problem:

ch-run-oci --help
Traceback (most recent call last):
  File "/usr/bin/ch-run-oci", line 17, in <module>
    import charliecloud as ch
ModuleNotFoundError: No module named 'charliecloud'


Version-Release number of selected component (if applicable):
rpm -q charliecloud-common
charliecloud-common-0.24-4.fc34.noarch


Additional info:
if ch-run-oci needs extra packages, it should probably be in an extra package.

Installed Packages
charliecloud-common.noarch             0.24-4.fc34            @updates-testing
charliecloud-runtime.x86_64            0.24-4.fc34            @updates-testing
Available Packages
...

Comment 1 jogas 2021-08-03 15:02:56 UTC
Good catch, thanks! We're reverting some changes that introduced this issue and hope to push builds soon. Appreciate you taking time to open the issue.

Best,
Jordan

Comment 2 Fedora Update System 2021-08-05 16:49:51 UTC
FEDORA-EPEL-2021-8f60b1a500 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8f60b1a500

Comment 3 Fedora Update System 2021-08-05 16:49:52 UTC
FEDORA-2021-6609a60341 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6609a60341

Comment 4 Fedora Update System 2021-08-05 16:49:52 UTC
FEDORA-EPEL-2021-db1fca6fbd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-db1fca6fbd

Comment 5 Fedora Update System 2021-08-05 16:49:53 UTC
FEDORA-2021-4f299319a4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4f299319a4

Comment 6 Fedora Update System 2021-08-07 01:18:38 UTC
FEDORA-EPEL-2021-8f60b1a500 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8f60b1a500

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-07 01:35:35 UTC
FEDORA-2021-4f299319a4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4f299319a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4f299319a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-07 13:31:07 UTC
FEDORA-EPEL-2021-db1fca6fbd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-db1fca6fbd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-07 14:11:10 UTC
FEDORA-2021-6609a60341 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6609a60341`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6609a60341

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-08-15 00:36:10 UTC
FEDORA-EPEL-2021-8f60b1a500 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-08-15 01:10:24 UTC
FEDORA-2021-6609a60341 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-08-15 01:32:52 UTC
FEDORA-2021-4f299319a4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-08-15 01:50:12 UTC
FEDORA-EPEL-2021-db1fca6fbd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.